How to Contribute
=================

:+1::tada: First off, thanks for taking the time to contribute! :tada::+1:


There are many ways you can Contribute to this project!

 - [Create issues][issues] or help close them
 - Fork, Enhance, Fix Bugs, and send in [Pull Requests][pr]
 - Help write Tests or improve Examples / Documentation
 - Spread the word :heart:



## Issues

Found a bug, have some feedback or really want some feature? Lock in an Issue. Here are some tips:

 - Make sure the bug you're reporting really is a bug. Have you read the docs?
 - Provide as many details as you can about the bug. How can it be reproduced? What have you tried so far?
 - For feature requests, really explain why your feature is important. How does it improve the library and help the developers using it?
 - Go through existing issues. Make sure that it hasn't already been opened.
 - If planning on helping close an issue, don't be shy. Ask questions and get more information before sending your PR.



## Pull Requests

Want to fix a bug, implement a feature or help with the tests / docs? Read this first:

 - Make sure there's an open issue for what you're sending in your Pull Request. If not, [open it][issues].
 - Send in your PRs agains the `dev` branch.
 - Write unit tests / docs for any new feature you implement.
 - Make sure your PRs pass all tests and CI.
 - Be active in your relevant issue and PR threads.
 - Make sure no one else is assigned or working on the issue. It's a good idea to leave a comment stating
   that you're going to implement it before sending in your PR. This way no two devs are working on the same
   thing.
 - If required, update the CHANGELOG.md file with a small summary of your changes in the latest version (add a new section if needed)



## Finally, Thank you!

It means a lot to us that you took time out to improve this package and contribute back to the community. :tada:


### Relevant Links

 - [Project Page][github]
 - [Author][author]
 - [NPM Package][package]
 - [License][license]


  [github]:   https://github.com/angrykoala/yerbamate
  [author]:   https://github.com/angrykoala
  [package]:  https://www.npmjs.com/package/yerbamate
  [license]:  https://github.com/angrykoala/yerbamate/blob/master/LICENSE

  [issues]:   #issues
  [pr]:       #pull-requests
